Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
06923Bug reports[All Projects] Survey takingpublic2012-11-22 09:392016-02-15 14:34
Reportermpds 
Assigned Toc_schmitz 
PriorityhighSeveritymajor 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target VersionFixed in Version2.06+ 
Summary06923: Error message after starting survey
DescriptionAfter starting the survey, some users see the following error message. For some users it works when they switch their browser, others still see the message after switching.

-------------------------------------

Internal Server Error
Property "Survey_dynamic.refurl" is not defined.

An internal error occurred while the Web server was processing your request. Please contact the webmaster to report this problem.
Steps To ReproduceGo to http://limesurvey.stuve-unipassau.de/index.php/survey/index/sid/263389/lang/de-informal/ [^] and click on "Weiter" ("Next")
I will donate to the project if issue is resolvedNo
LimeSurvey build number OR git commit ID121117
Browserdifferent
Database & DB-VersionMySQL 5.1.60
Operating System (Server)Linux
Webserver software & versionApache 2.2.22
PHP Version5.2.13
Attached Files

- Relationships
related to 06876closedmdekker Error when taking survey with datestamps on answers enabled 

-  Notes
(22397)
mdekker (developer)
2012-11-22 09:45

Ok, i am not able to reproduce on my system, but on your system I can when i use https, clear answers and then go in the survey again. There was a short period in time where not all required fields where created on the db. To rule out that is the problem here, could you verify that in the survey_263389 table there is a field refurl? If not, the data could not be saved and under some circumstances this leads to the problem. You can add the field manually in phpmyadmin if needed.
(22398)
mpds (reporter)
2012-11-22 09:59

No, there wasn't a field refurl!
I added in in phpmyadmin, is varchar(100) the proper type?
(22399)
mdekker (developer)
2012-11-22 10:08

In my system I see text. This error was fixed but if you activated using this version that was around during only a short period unfortunately you can experience this error. It was introduced in 121115 and fixed in 121116.
(22400)
mdekker (developer)
2012-11-22 10:19

Fixed manually by the user reporting the problem, fix to prevent this from happening again is already in place. This only happened when survey settings were changed during activation in a short timeframe so probably won't affect much people.

If this issue becomes more widespread maybe we should think of a fix for already activated surveys.
(22588)
c_schmitz (administrator)
2012-11-27 06:11

New 2.00+ build released.
(35142)
c_schmitz (administrator)
2016-02-15 14:33

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=17397 [^]

- Related Changesets
LimeSurvey: master f424fb09
Timestamp: 2016-02-15 13:33:04
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 06923: User can accidentally change certain survey settings after survey is already active
mod - application/controllers/admin/database.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-11-22 09:39 mpds New Issue
2012-11-22 09:45 mdekker Note Added: 22397
2012-11-22 09:59 mpds Note Added: 22398
2012-11-22 10:08 mdekker Note Added: 22399
2012-11-22 10:17 mdekker Relationship added related to 06876
2012-11-22 10:19 mdekker Note Added: 22400
2012-11-22 10:19 mdekker Status new => resolved
2012-11-22 10:19 mdekker Fixed in Version => 2.00+
2012-11-22 10:19 mdekker Resolution open => not fixable
2012-11-22 10:19 mdekker Assigned To => mdekker
2012-11-27 06:11 c_schmitz Note Added: 22588
2012-11-27 06:11 c_schmitz Status resolved => closed
2016-02-15 14:24 c_schmitz Assigned To mdekker => c_schmitz
2016-02-15 14:24 c_schmitz Status closed => assigned
2016-02-15 14:33 c_schmitz Changeset attached => LimeSurvey master f424fb09
2016-02-15 14:33 c_schmitz Note Added: 35142
2016-02-15 14:33 c_schmitz Resolution not fixable => fixed
2016-02-15 14:34 c_schmitz Status assigned => closed
2016-02-15 14:34 c_schmitz Fixed in Version 2.00+ => 2.06+


Copyright © 2000 - 2016 MantisBT Team
Powered by Mantis Bugtracker